cURL
curl --request GET \
--url https://us.infisical.com/api/v1/projects/{projectId}/secret-snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/projects/{projectId}/secret-snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/projects/{projectId}/secret-snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secretSnapshots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"envId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"parentFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Projects
Get Snapshots
Return project secret snapshots ids
GET
/
api
/
v1
/
projects
/
{projectId}
/
secret-snapshots
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the project to get snapshots from.
Query Parameters
The environment to get snapshots from.
The secret path to get snapshots from.
The offset to start from. If you enter 10, it will start from the 10th snapshot.
The number of snapshots to return.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I